Skip to content
Start here

Get Account Bad Debt

GET/accounts/{account_id}/billing/bad-debt

Gets bad debt information for an account, including outstanding invoices and total debt amount.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
account_id: string

Identifier

maxLength32
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: object { already_paid, bad_debt_status, invoices, total_debt_amount }
already_paid: optional number

Amount already paid towards the debt.

bad_debt_status: optional string

The current bad debt status of the account.

invoices: optional array of object { id, action, amount, 12 more }

List of outstanding invoices contributing to bad debt.

id: optional string

Billing history item identifier.

action: optional string

The billing item action.

amount: optional number

The amount associated with this billing item.

amount_to_pay: optional number

The amount remaining to pay.

currency: optional string

The currency of the billing item.

description: optional string

The billing item description.

external_invoice_id: optional string

The external invoice identifier.

hosted_invoice_url: optional string

URL to the hosted invoice.

invoice_id: optional string

The associated invoice identifier.

occurred_at: optional string

When the billing event occurred.

formatdate-time
receipt_id: optional string

The associated receipt identifier.

source: optional string

The source of the billing item.

source_invoice_id: optional string

The source invoice identifier.

status: optional string

The status of the billing item.

type: optional string

The billing item type.

total_debt_amount: optional number

Total outstanding debt amount.

success: true

Whether the API call was successful

Get Account Bad Debt

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/billing/bad-debt \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "already_paid": 0,
    "bad_debt_status": "active",
    "invoices": [
      {
        "id": "b69a9f3492637782896352daae219e7d",
        "action": "subscription",
        "amount": 20.99,
        "amount_to_pay": 0,
        "currency": "USD",
        "description": "The billing item description",
        "external_invoice_id": "external_invoice_id",
        "hosted_invoice_url": "hosted_invoice_url",
        "invoice_id": "invoice_id",
        "occurred_at": "2014-03-01T12:21:59.3456Z",
        "receipt_id": "receipt_id",
        "source": "source",
        "source_invoice_id": "source_invoice_id",
        "status": "status",
        "type": "charge"
      }
    ],
    "total_debt_amount": 20.99
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "already_paid": 0,
    "bad_debt_status": "active",
    "invoices": [
      {
        "id": "b69a9f3492637782896352daae219e7d",
        "action": "subscription",
        "amount": 20.99,
        "amount_to_pay": 0,
        "currency": "USD",
        "description": "The billing item description",
        "external_invoice_id": "external_invoice_id",
        "hosted_invoice_url": "hosted_invoice_url",
        "invoice_id": "invoice_id",
        "occurred_at": "2014-03-01T12:21:59.3456Z",
        "receipt_id": "receipt_id",
        "source": "source",
        "source_invoice_id": "source_invoice_id",
        "status": "status",
        "type": "charge"
      }
    ],
    "total_debt_amount": 20.99
  },
  "success": true
}